export const showConfigModal=(state,action)=>{
  const res=Object.assign({},state);
  res.visible = true;
  return res;
};

export const closeConfigModal=(state,action)=>{
  const res=Object.assign({},state);
  res.visible = false;
  return res;
};

export const confirmType=(state,action)=>{
  const res=Object.assign({},state);
  res.typeConfig = action.confirmType;
  return res;
};

export const modeChangeFail = (state,action)=>{
  const res=Object.assign({},state);
  res.failed = action.data;
  return res;
};